
%define debug_package %{nil}
Name:    tezos-baker-PsQuebec
Version: 21.3
Release: 1
Epoch: 1
Summary: Daemon for baking
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baker-PsQuebec-21.3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v21.3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-sapling-params, tezos-client, acl, udev
%description
Daemon for baking
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-baker-PsQuebec
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-baker-PsQuebec %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-baker-PsQuebec %{buildroot}/%{_bindir}/tezos-baker-PsQuebec



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-psquebec.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-psquebec@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baker-psquebec.default %{buildroot}/%{_sysconfdir}/default/tezos-baker-psquebec

install -m 0755 tezos-baker-psquebec-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-baker-PsQuebec
%{_bindir}/tezos-baker-PsQuebec

%{_bindir}/tezos-baker-psquebec-start

%{_unitdir}/tezos-baker-psquebec.service
%{_unitdir}/tezos-baker-psquebec@.service

%{_sysconfdir}/default/tezos-baker-psquebec



%post
%systemd_post tezos-baker-psquebec.service
%systemd_post tezos-baker-psquebec@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-baker-psquebec.service
%systemd_preun tezos-baker-psquebec@.service


%postun
%systemd_postun_with_restart tezos-baker-psquebec.service
%systemd_postun_with_restart tezos-baker-psquebec@.service



